Announcement

Collapse
No announcement yet.

V2X the last version

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • V2X the last version

    Hi There,
    I would like to install the old stable version of vB2x, but for some reason the usercp.php dont work when I click on the usercp link it says database error, the installation was fine no errors at all, I have not used the script last 3 years now I wanted to get back to the forums and install a fresh copy of vB2.

    EDIT: PHP Version 5.3.2 and everything else on the server is uptodate, Im using One.com as my host.

    thank you for any help.
    Last edited by -=dm=-; Fri 26th Mar '10, 6:07am. Reason: added php version data
    ___Testing..._______:cool:

  • #2
    Code:
    There seems to have been a slight problem with the Forums database.
    Please try again by pressing the refresh button in your browser.
    
    An E-Mail has been dispatched to our Technical Staff, who you can also contact if the problem persists.
    We apologise for any inconvenience.
    
    
    
    Database error in vBulletin 2.3.11:
    
    Invalid SQL: SELECT privatemessage.*,touser.username AS tousername,fromuser.username AS fromusername,icon.title AS icontitle,icon.iconpath FROM privatemessage,user AS touser,user AS fromuser LEFT JOIN icon ON icon.iconid=privatemessage.iconid WHERE privatemessage.userid='1' AND folderid=0 AND touser.userid=privatemessage.touserid AND fromuser.userid=privatemessage.fromuserid AND messageread=0  ORDER BY dateline DESC
    mysql error: Unknown column 'privatemessage.iconid' in 'on clause'
    
    mysql error number: 1054
    
    Date: Friday 26th 2010f March 2010 04:56:23 PM
    Script: http://www.mydomain.dk/forum/forum/usercp.php?
    Referer: http://www.mydomain.dk/forum/forumdisplay.php?forumid=2
    here is the error message Im getting.
    I have not done any modification yet nor is there any thread or posts yet.
    ___Testing..._______:cool:

    Comment


    • #3
      Shooting off the hip here, but the first thing that comes to mind is that VB2.x is not likely to be compatible with PHP 5.3.2.

      What database version are you running?
      To be updated...

      Comment


      • #4
        not sure, I think its 5.5, where can I see it? everything else works perfect, as I know.

        EDIT:
        its MySQL client version: 5.0.32
        ___Testing..._______:cool:

        Comment


        • #5
          Originally posted by -=dm=- View Post
          not sure, I think its 5.5, where can I see it? everything else works perfect, as I know.
          Usually, there's a version number at the bottom of each of the SQL error messages.

          Based on some quick thread searches, I don't think VB2 will run correctly on any MySQL V5 or higher.

          There are reports of it running with MySQL 4.1.22 and PHP 5.2.6 - safely.
          To be updated...

          Comment


          • #6
            ENF, I think you are right, its probably the MySQL causing this problem, I should move on and install a newer version of vB.
            can you please look at this post, I also getting som error install the vB3.6 my vB3 Thread

            Thank you for your time and help.
            ___Testing..._______:cool:

            Comment


            • #7
              mysql error: Unknown column 'privatemessage.iconid' in 'on clause'

              Sounds like the table is missing a column, which is weird. >.>

              Comment

              widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
              Working...
              X